Bug 233991 - net/radsecproxy: Fix MASTER_SITES, Fails to build with OpenSSL 1.1.1
Summary: net/radsecproxy: Fix MASTER_SITES, Fails to build with OpenSSL 1.1.1
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-12-13 18:46 UTC by Stephen Wall
Modified: 2019-11-04 09:45 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (m.tsatsenko)
koobs: merge-quarterly?


Attachments
Output from make fetch (807 bytes, text/plain)
2018-12-13 18:46 UTC, Stephen Wall
no flags Details
the patch (1.13 KB, patch)
2018-12-23 21:50 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval+
Details | Diff
radsecproxy-1.6.8.log (29.70 KB, text/plain)
2018-12-30 12:49 UTC, Kubilay Kocak
no flags Details
updated patch (3.31 KB, patch)
2019-02-21 21:04 UTC, m.tsatsenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Wall 2018-12-13 18:46:07 UTC
Created attachment 200087 [details]
Output from make fetch

The URL that radsecproxy tries to download from is invalid, and the FreeBSD distcache package does not exist.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 03:29:08 UTC
Looks like [1] tarballs are being distributed via GitHub releases

[1] https://radsecproxy.github.io/
Comment 2 m.tsatsenko 2018-12-14 10:15:28 UTC
It seems so. Patch to fix is trivial. However right now I am working on update 1.6.8=>1.7.2 which also fixes build on 12.0. Almost done already
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 10:29:09 UTC
(In reply to m.tsatsenko from comment #2)

* Separate bugfixes from version/feature updates where possible. If the quarterly version is also affected by the issue reported here, the fix needs to be merged there too.

If you can provide the patch for the MASTER_SITES update, I can take care of the commit/merge.
Comment 4 Stephen Wall 2018-12-14 13:05:57 UTC
I did make an attempt at modifying the port to download from github, but couldn't quite get things working.  The tarball from github that I was able to download did not have any auto-tool generated files in it, and extracted to a different directory name.  I don't know github well enough to know if there's a different version of the tarball available somewhere that matches the released version.
Comment 5 m.tsatsenko 2018-12-23 21:50:09 UTC
Created attachment 200414 [details]
the patch

- Switch to github. No functional changes

QA:
portlint OK
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-30 12:00:49 UTC
GH_ACCOUNT defaults to PORTNAME, so is unnecessary .
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-30 12:22:23 UTC
Configure fails:

===>  Configuring for radsecproxy-1.6.8
env: ./configure: No such file or directory

The GitHub sources are likely not unprocessed, and likely require USES=autoreconf or similar to pre-process.

Could you please update the patch accordingly after investigating, ensuring that the patch is completely tested (portlint and poudriere at least) prior to updating it as there may be further issues.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-30 12:49:42 UTC
Created attachment 200620 [details]
radsecproxy-1.6.8.log

After adding USES=autoreconf:

1) The build uses -Werror by default which fails due to non-errors, but also...
2) Fails to build with OpenSSL 1.1.1 on 12.0
Comment 9 m.tsatsenko 2019-02-21 21:03:43 UTC
Well. I have managed to make it build on 11.2 and pass QA with no errors.
Getting it work on 12.0 and making portlint happy requires an update to recent version. In addition I was not able to make man pages build.
- Switch to github
- Remove man pages as they are totally broken in this version
- Mark broken on 12.x

QA:
poudriere 112amd64 - OK
portlint - no errors

I have an update to 1.7.2 ready which fixes issues with portlint, man pages and building on 12.x
Comment 10 m.tsatsenko 2019-02-21 21:04:10 UTC
Created attachment 202240 [details]
updated patch
Comment 11 Alexander 2019-07-22 14:01:52 UTC
radsecproxy 1.8.0 released https://github.com/radsecproxy/radsecproxy/releases/tag/1.8.0

Appreciate if somebody will have time to check if it is possible to make new version work on FreeBSD 12.x with OpenSSL 1.1.1
Comment 12 Jørn Åne de Jong 2019-10-03 15:52:27 UTC
Probably already fixed in bug #240382
Comment 13 Raphael Kubo da Costa freebsd_committer 2019-11-04 09:45:49 UTC
Closing per comment #12. If there are any issues that still need to be solved, please file a new bug with a patch based on the latest version in the ports tree.